Page MenuHomePhabricator

Add `ipaddrcheck` to the packages directory
Closed, ResolvedPublicBUG

Description

While building the current branch of vyos-build, I found that the vyos-1x and vyatta-cfg-quagga packages depends upon ipaddrcheck but isn't listed in the packages directory.

Details

Difficulty level
Easy (less than an hour)
Version
c85cda7b402099c37a9d978d3f664ffbaf631132
Why the issue appeared?
Will be filled on close

Event Timeline

njh renamed this task from Add `ipaddrcheck ` to the packages directory to Add `ipaddrcheck` to the packages directory.Jan 30 2019, 10:02 AM
njh created this task.
c-po closed this task as Resolved.Jan 30 2019, 11:15 AM
c-po assigned this task to njh.
c-po edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
njh reopened this task as Open.Jan 31 2019, 9:18 AM

Change was reverted because "libcidr-dev is not available until Debian Buster thus the container can't be built"

Without this, I am not quite clear how builds of the amd64 architecture are currently succeeding?

I wonder if we could persuade Debian to put libcidr-dev into jessie-backports?

c-po added a subscriber: c-po.Jan 31 2019, 6:27 PM

Package needs to be build from source. There are already some packages which we build that way like libyang or librtr so not a big deal.

pasik added a subscriber: pasik.Feb 8 2019, 12:57 PM
c-po closed this task as Resolved.Feb 21 2019, 6:16 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.